Commit 94cd9806 authored by HgO's avatar HgO

fix cleanup twice when script ends normally

parent bd549d87
......@@ -917,6 +917,8 @@ function cleanup_resources_on_abort() {
cleanup_hypercube_file "n"
cleanup_cube_resources "n"
exit 1
}
function show_goodbye() {
......@@ -980,10 +982,8 @@ done
# SCRIPT
#=================================================
# Exit if any of the following command fails
set -e
trap "cleanup_resources_on_abort" EXIT
# Cleanup if any of the following command fails or if we do Ctrl+C
trap "cleanup_resources_on_abort" ERR INT
show_welcome
check_dependencies
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment